> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok Imagine Image Generation

> - Grok Imagine image generation model, supporting text-to-image and image editing
 - Supports generating 1-4 images per request, edit mode supports up to 3 input images
- Async processing mode, use the returned task ID to [query task status](/pages/en/api-manual/task-management/get-task-detail)
- Generated image links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/grok-imagine-image.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: Grok Imagine Image
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/images/generations:
    post:
      tags:
        - Image > Grok
      summary: Grok Imagine Image
      description: >
        - Grok Imagine image generation model, supporting text-to-image and
        image editing
         - Supports generating 1-4 images per request, edit mode supports up to 3 input images
        - Async processing mode, use the returned task ID to [query task
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated image links are valid for 24 hours, please save them
        promptly
      operationId: grok-imagine-image
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrokImagineImageRequest'
            examples:
              text_to_image:
                summary: Text-to-image
                value:
                  model: grok-imagine-image
                  prompt: >-
                    Abstract human silhouette, golden particles ready to burst
                    outward representing joy
                  num_outputs: 1
                  aspect_ratio: '1:1'
                  output_format: jpg
              image_edit:
                summary: Image edit
                value:
                  model: grok-imagine-image
                  prompt: Make this scene more realistic but still keep the game vibes
                  num_outputs: 1
                  output_format: png
                  image_urls:
                    - https://example.com/input-image.png
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    GrokImagineImageRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          description: '`grok-imagine-image`: Supports text-to-image and image editing'
          examples:
            - grok-imagine-image
          type: string
          default: grok-imagine-image
        prompt:
          description: >
            Image generation prompt


            **Notes:**

            - Text-to-image mode: Describe the image content you want to
            generate

            - Image editing mode: Describe the editing requirements for the
            input image
          type: string
          example: >-
            Abstract human silhouette, golden particles ready to burst outward
            representing joy
        num_outputs:
          default: 1
          description: |
            Number of output images

            **Notes:**
            - Range: `1` - `4`
            - Each image is billed independently
          type: integer
          example: 1
        aspect_ratio:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            Output image aspect ratio

            **Options:**
            - `2:1`, `20:9`, `19.5:9`, `16:9`, `4:3`, `3:2`, `1:1`
            - `2:3`, `3:4`, `9:16`, `9:19.5`, `9:20`, `1:2`

            **Notes:**
            - Only supported in text-to-image mode
            - Defaults to `1:1` upstream when not specified
          example: '1:1'
        output_format:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |-
            Output image format

            **Options:**
            - `jpg` / `jpeg`
            - `png`
            - `webp`

            **Notes:**
            - Defaults to `jpeg` upstream when not specified


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: jpg
        image_urls:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          description: |
            List of input image URLs

            **Notes:**
            - Automatically switches to image editing mode when provided
            - Supports up to `3` input images
            - Public accessible image URLs are recommended
          example:
            - https://example.com/input-image.png
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Actual model name used
        object:
          type: string
          description: Specific task type
          enum:
            - image.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Asynchronous task information
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time in seconds
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - image
          example: image
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid request format
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient account balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Parameter validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Invalid request format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Parameter validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service Unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All APIs require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````